[Xcb-commit] util-wm: 5 commits - autogen.sh configure.ac
GitLab Mirror
gitlab-mirror at kemper.freedesktop.org
Sun Jul 24 21:21:42 UTC 2022
autogen.sh | 13 +++++++++----
configure.ac | 1 -
2 files changed, 9 insertions(+), 5 deletions(-)
New commits:
commit 2c4ec9a6b927df1d0e7364994b7eb300e3027ca1
Author: Mihail Konev <k.mvc at ya.ru>
Date: Thu Jan 26 13:52:49 2017 +1000
autogen: add default patch prefix
Signed-off-by: Mihail Konev <k.mvc at ya.ru>
Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>
diff --git a/autogen.sh b/autogen.sh
index d15c0fb..802ead3 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -24,6 +24,9 @@ fi
autoreconf -v --install || exit 1
cd "$ORIGDIR" || exit $?
+git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
+ git config --local format.subjectPrefix "PATCH libxcb-wm"
+
if test -z "$NOCONFIGURE"; then
exec "$srcdir"/configure "$@"
fi
commit 80e52c063e1136542fdd51daeb07b3100e3de2df
Author: Emil Velikov <emil.l.velikov at gmail.com>
Date: Mon Mar 9 12:00:52 2015 +0000
autogen.sh: use quoted string variables
Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
fall-outs, when they contain space.
Signed-off-by: Emil Velikov <emil.l.velikov at gmail.com>
Reviewed-by: Peter Hutterer <peter.hutterer at who-t.net>
Signed-off-by: Peter Hutterer <peter.hutterer at who-t.net>
Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>
diff --git a/autogen.sh b/autogen.sh
index 670514f..d15c0fb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,10 +1,10 @@
#! /bin/sh
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
# If this is a git checkout, verify that the submodules are initialized,
# otherwise autotools will just fail with an unhelpful error message.
@@ -22,8 +22,8 @@ then
fi
autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
if test -z "$NOCONFIGURE"; then
- exec $srcdir/configure "$@"
+ exec "$srcdir"/configure "$@"
fi
commit a7cf3ad9ec7a83cec29018e333f0a253207252ae
Author: Peter Hutterer <peter.hutterer at who-t.net>
Date: Tue Jan 24 10:32:07 2017 +1000
autogen.sh: use exec instead of waiting for configure to finish
Syncs the invocation of configure with the one from the server.
Signed-off-by: Peter Hutterer <peter.hutterer at who-t.net>
Reviewed-by: Emil Velikov <emil.velikov at collabora.com>
Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>
diff --git a/autogen.sh b/autogen.sh
index fe63941..670514f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -25,5 +25,5 @@ autoreconf -v --install || exit 1
cd $ORIGDIR || exit $?
if test -z "$NOCONFIGURE"; then
- $srcdir/configure "$@"
+ exec $srcdir/configure "$@"
fi
commit 63400a253d79f13bda73de30899e6ae95b5e0479
Author: Alan Coopersmith <alan.coopersmith at oracle.com>
Date: Sat May 31 21:39:32 2014 -0700
autogen.sh: Honor NOCONFIGURE=1
See http://people.gnome.org/~walters/docs/build-api.txt
Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>
diff --git a/autogen.sh b/autogen.sh
index 85f1f6a..fe63941 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -24,4 +24,6 @@ fi
autoreconf -v --install || exit 1
cd $ORIGDIR || exit $?
-$srcdir/configure "$@"
+if test -z "$NOCONFIGURE"; then
+ $srcdir/configure "$@"
+fi
commit fbc6bf6183b47338aec46ba98c3ca2b11f181ccc
Author: Alan Coopersmith <alan.coopersmith at oracle.com>
Date: Sat May 31 21:38:41 2014 -0700
configure: Drop AM_MAINTAINER_MODE
Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>
diff --git a/autogen.sh b/autogen.sh
index afe5299..85f1f6a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -24,4 +24,4 @@ fi
autoreconf -v --install || exit 1
cd $ORIGDIR || exit $?
-$srcdir/configure --enable-maintainer-mode "$@"
+$srcdir/configure "$@"
diff --git a/configure.ac b/configure.ac
index 8615af7..a878c9e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -7,7 +7,6 @@ AC_CONFIG_SRCDIR([Makefile.am])
AC_CONFIG_HEADERS([config.h])
AC_CONFIG_MACRO_DIR([m4])
AM_INIT_AUTOMAKE([foreign dist-xz])
-AM_MAINTAINER_MODE
XCB_UTIL_M4_WITH_INCLUDE_PATH
XCB_UTIL_COMMON([1.4], [1.6])
More information about the xcb-commit
mailing list